Critical issue with Riak Control in Riak 1.4.0.

John Daily jdaily at basho.com
Tue Jul 30 22:01:30 EDT 2013


We have identified an issue in Riak 1.4.0 that will cause any node hosting Riak Control to crash during a rolling upgrade. It is triggered when Riak Control attempts to communicate between a Riak node running version 1.3, or earlier, and one running version 1.4.
 
If a customer were hosting Riak Control on all of their nodes, this could result in a cluster-wide failure.
 
If you are using Riak Control, you have two options:
 
1) Wait for Riak 1.4.1. We anticipate releasing this update by the end of this week.
 
2) Riak Control must first be disabled on all nodes in the cluster.  To do this you must edit the app.config and restart Riak[0] on every node running Riak Control in the cluster. Once disabled, proceed with a standard rolling upgrade to Riak 1.4.0[1].  After the entire cluster is upgraded to 1.4.0 you may then safely re-enable Riak Control on the node(s) which you'd like to run the web interface.  Again, this is done by editing app.config and restarting[0] the node(s).

If you have any questions about upgrading to 1.4.0, please contact Basho support to assess whether or not you should wait for the 1.4.1 release.

Basho 

[0] http://docs.basho.com/riak/latest/ops/advanced/riak-control/
[1] http://docs.basho.com/riak/latest/ops/running/rolling-upgrades/


-John Daily
Technical Evangelist
Basho

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.basho.com/pipermail/riak-users_lists.basho.com/attachments/20130730/cceaa9dd/attachment.html>


More information about the riak-users mailing list